package com.trade.admin;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication(exclude = {
        DataSourceAutoConfiguration.class
}, scanBasePackages = {
        "com.trade.*"
})
@MapperScan({
        "com.trade.admin.*.mapper", "com.trade.admin.*.*.mapper", "com.trade.service.*.mapper",
        "com.trade.service.*.*.mapper"
})
@EnableScheduling
@EnableFeignClients
public class TradeAdminApplication {

    public static void main(String[] args) {
        SpringApplication.run(TradeAdminApplication.class, args);
    }
}
