/**
 * @filename:PaymentBasicInfo 2024-10-28
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.admin.business.payment.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * @Description:支付基础表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
// @Accessors(chain = true)
public class PaymentBasicInfo extends BizBaseEntity {

    private static final long serialVersionUID = 1730095746573L;
    @ApiModelProperty(name = "paymentBasicId", value = "支付信息主表id")
    private Long paymentBasicId;
    @ApiModelProperty(name = "tradeParticipantsIdentifier", value = "贸易参与方标识")
    private String tradeParticipantsIdentifier;
    @ApiModelProperty(name = "tradeParticipantsName", value = "贸易参与方名称")
    private String tradeParticipantsName;
    @ApiModelProperty(name = "paymentAmount", value = "付款金额")
    private BigDecimal paymentAmount;
    @ApiModelProperty(name = "paymentCurrency", value = "付款金额币种代码")
    private String paymentCurrency;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentDate", value = "付款日期")
    private LocalDate paymentDate;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    @ApiModelProperty(name = "bankName", value = "银行名称")
    private String bankName;
}
