package com.trade.admin.business.payment.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.admin.business.payment.domain.PaymentBasicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.validation.annotation.Validated;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description: 编辑支付信息
 * @Author: wanglang
 * @Date: 2024/10/28
 * @Version: 1.0
 */
@Validated
@Data
public class EditPaymentDto {
    @ApiModelProperty(name = "paymentBasicId", value = "支付信息主表id")
    private Long paymentBasicId;
    @ApiModelProperty(name = "tradeParticipantsIdentifier", value = "贸易参与方标识")
    private String tradeParticipantsIdentifier;
    @ApiModelProperty(name = "tradeParticipantsName", value = "贸易参与方名称")
    private String tradeParticipantsName;
    @ApiModelProperty(name = "paymentAmount", value = "付款金额")
    private BigDecimal paymentAmount;
    @ApiModelProperty(name = "paymentCurrency", value = "付款金额币种代码")
    private String paymentCurrency;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentDate", value = "付款日期")
    private LocalDate paymentDate;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    @ApiModelProperty(name = "bankName", value = "银行名称")
    private String bankName;
}
