package com.trade.admin.business.payment.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @description: 支付查询条件
 * @Author: wanglang
 * @Date: 2024/10/28
 * @Version: 1.0
 */
@Data
public class PaymentSearchDto extends PageDomain {

    @ApiModelProperty(name = "paymentType", value = "1出口退税款2贷款差额3贷款结汇差额")
    private String paymentType;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "status", value = "支付状态")
    private String status;
    @ApiModelProperty(name = "beginTime", value = "入账开始时间")
    private String beginTime;
    @ApiModelProperty(name = "endTime", value = "入账结束时间")
    private String endTime;
}
