/**
 * @filename:PaymentBasicDao 2024-10-24
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.admin.business.payment.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.admin.business.payment.domain.PaymentBasic;
import com.trade.admin.business.payment.dto.PaymentSearchDto;
import com.trade.admin.business.payment.vo.PaymentPageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description:支付基础表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface PaymentBasicMapper extends BaseMapper<PaymentBasic> {

    /**
     * 分页查询
     * 
     * @param searchDto
     * @return List<PaymentPageVo>
     */
    List<PaymentPageVo> selectByPage(PaymentSearchDto searchDto);
}
