/**
 * @filename:PaymentBasicInfoService 2024-10-28
 * @project KJT  v1.1.0
 * Copyright(c) 2024 wanglang Co. Ltd.
 * All right reserved. 
 */
package com.trade.admin.business.payment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.admin.business.payment.domain.PaymentBasicInfo;

/**
 * @Description:支付基础表服务层
 * @version: v1.1.0
 * @author: wanglang
 * 
 */
public interface PaymentBasicInfoService extends IService<PaymentBasicInfo> {

    /**
     *  根据支付基础表id获取支付基础表信息
     * @param paymentBasicId 支付基础表id
     * @return PaymentBasicInfo
     */
    PaymentBasicInfo getByCodePaymentBasicId(Long paymentBasicId);
}