/**
 * @filename:PaymentBasicInfoServiceImpl 2024-10-28
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.admin.business.payment.service.impl;

import com.trade.admin.business.payment.domain.PaymentBasicInfo;
import com.trade.admin.business.payment.mapper.PaymentBasicInfoMapper;
import com.trade.admin.business.payment.service.PaymentBasicInfoService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:支付基础表服务实现
 * @version: v1.1.0
 * @author: wanglang
 */
@Service
public class PaymentBasicInfoServiceImpl extends ServiceImpl<PaymentBasicInfoMapper, PaymentBasicInfo> implements PaymentBasicInfoService {

    @Override
    public PaymentBasicInfo getByCodePaymentBasicId(Long paymentBasicId) {
        return this.lambdaQuery().eq(PaymentBasicInfo::getPaymentBasicId, paymentBasicId).one();
    }
}
