package com.trade.admin.business.payment.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * @description: 付款审批VO
 * @Author: wanglang
 * @Date: 2024/10/28 18:40
 * @Version: 1.0
 */
@Data
public class PaymentApproveVo {

    @ApiModelProperty(name = "status", value = "审批结果")
    @NotBlank(message = "审批结果不能为空")
    private String status;
    @ApiModelProperty(name = "remark", value = "审批意见")
    @NotBlank(message = "审批意见不能为空")
    private String remark;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "reviewDate", value = "审核时间")
    private LocalDateTime reviewDate;
    @ApiModelProperty(name = "reviewer", value = "审核人")
    private String reviewer;
}
