package com.trade.admin.business.payment.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/28 14:39
 * @Version: 1.0
 */
@Data
public class PaymentPageVo {

    @ApiModelProperty(name = "id", value = "主键id")
    private Long id;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "contractName", value = "销售合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贷款差额3贷款结汇差额")
    private String paymentType;
    @ApiModelProperty(name = "status", value = "支付状态1待审批2退回3出账确认中4出账已确认")
    private String status;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "applyDate", value = "申请日期")
    private LocalDateTime applyDate;
    @ApiModelProperty(name = "paymentAmount", value = "付款金额")
    private BigDecimal paymentAmount;
    @ApiModelProperty(name = "paymentCurrency", value = "付款金额币种代码")
    private String paymentCurrency;
    @ApiModelProperty(name = "customerIdentifierNo", value = "客户编号")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
}
