package com.trade.admin.business.separateaccounts.vo;

import com.trade.admin.business.separateaccounts.dto.IncomeInfoDto;
import com.trade.service.business.separateaccounts.domain.SeparateAccounts;
import com.trade.service.business.separateaccounts.domain.SeparateAccountsInfo;
import com.trade.service.filestorage.dto.FileAbstractDto;
import com.trade.service.finance.paymentcollection.domain.PaymentCollectionOperate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 分账明细
 * @Author: wanglang
 * @Date: 2024/10/24
 * @Version: 1.0
 */
@Data
public class SeparateAccountsDetailVo {

    @ApiModelProperty(name = "separateAccounts", value = "基础信息与入账信息")
    private SeparateAccounts separateAccounts;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    @ApiModelProperty(name = "accountsInfo", value = "支付信息/分账信息")
    private List<SeparateAccountsInfo> accountsInfo;
    @ApiModelProperty(name = "otherInfo", value = "其他信息")
    private PaymentCollectionOperate otherInfo;
    @ApiModelProperty(name = "disbursementEntry", value = "入账收汇凭证")
    private FileAbstractDto disbursementEntry;
    @ApiModelProperty(name = "incomeInfoDto", value = "入账详情")
    private IncomeInfoDto incomeInfoDto;
}
