package com.trade.admin.business.separateaccounts.vo;

import com.trade.admin.business.separateaccounts.dto.IncomeInfoDto;
import com.trade.admin.finance.paymentcollection.dto.BankAccountDto;
import com.trade.admin.finance.paymentcollection.dto.BillingIncomeInfoDto;
import com.trade.service.business.separateaccounts.domain.SeparateAccounts;
import com.trade.service.filestorage.dto.FileAbstractDto;
import com.trade.service.finance.paymentcollection.domain.PaymentCollectionOperate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 分账提交VO
 * @Author: wanglang
 * @Date: 2024/10/24 16:03
 * @Version: 1.0
 */
@Data
public class SeparateAccountsSubmitVo {

    @ApiModelProperty(name = "separateAccounts", value = "基础信息与入账信息")
    private SeparateAccounts separateAccounts;
    @ApiModelProperty(name = "bankAccountDtos", value = "银行卡信息")
    private List<BankAccountDto> bankAccountDtos;
    @ApiModelProperty(name = "incomeInfoDto", value = "入账详情")
    private IncomeInfoDto incomeInfoDto;
    @ApiModelProperty(name = "disbursementEntry", value = "入账收汇凭证")
    private FileAbstractDto disbursementEntry;
}
