package com.trade.admin.enterprise.customer.service;

import com.trade.admin.enterprise.customer.dto.CustomerUserDto;
import com.trade.common.core.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/7
 * @Version: 1.0
 */
@Component
@FeignClient(name = "trade-client")
public interface CustomerUserService {

    /**
     * 获取C端客户用户信息
     *
     * @param customerUserId customerUserId
     * @return true/false
     */
    @GetMapping("/client/api/customerUser/get")
    ResponseResult<CustomerUserDto> getCustomerUser(@RequestParam(value = "customerUserId") String customerUserId);
}
