package com.trade.admin.finance.disbursement.dto;

import java.time.LocalDate;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/28 21:17
 * @Version: 1.0
 */
@Data
public class ConfirmedDisbursementDto {

    @ApiModelProperty(name = "id", value = "主键id")
    @NotNull(message = "主键id不能为空")
    private Long id;
    @ApiModelProperty(name = "transactionNumber", value = "交易编号")
    private String transactionNumber;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentDate", value = "付款日期")
    @NotNull(message = "付款日期不能为空")
    private LocalDate paymentDate;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    @ApiModelProperty(name = "accountNumber", value = "付款银行账号")
    @NotEmpty(message = "付款银行账号不能为空")
    private String accountNumber;
    @ApiModelProperty(name = "fileId", value = "文件id")
    private Long fileId;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
}
