package com.trade.admin.finance.disbursement.vo;

import com.trade.admin.finance.paymentcollection.dto.BankAccountDto;
import com.trade.service.filestorage.dto.FileAbstractDto;
import com.trade.service.finance.disbursement.domain.BillingDisbursement;
import com.trade.service.finance.paymentcollection.domain.PaymentCollectionOperate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 出账详情
 * @Author: wanglang
 * @Date: 2024/10/29
 * @Version: 1.0
 */
@Data
@ApiModel(description = "出账详情")
public class BillingDisbursementDetail {

    @ApiModelProperty(name = "billingDisbursement", value = "出账基础信息")
    private BillingDisbursement billingDisbursement;
    @ApiModelProperty(name = "disbursementEntry", value = "付款凭证")
    private FileAbstractDto disbursementEntry;
    @ApiModelProperty(name = "paymentCollectionOperate", value = "付款操作记录")
    private PaymentCollectionOperate paymentCollectionOperate;
    @ApiModelProperty(name = "paymentAccount", value = "付款账户信息")
    private BankAccountDto paymentAccount;
    @ApiModelProperty(name = "receivePaymentAccount", value = "收款账户信息")
    private BankAccountDto receivePaymentAccount;
}
