package com.trade.admin.finance.paymentcollection.dto;

import com.trade.service.filestorage.dto.FileAbstractDto;
import com.trade.service.finance.paymentcollection.domain.BillingIncome;
import com.trade.service.finance.paymentcollection.domain.PaymentCollectionOperate;
import com.trade.service.trade.salesorder.dto.OrderListInfoDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 账单收入详情
 * @Author: wanglang
 * @Date: 2024/10/22
 * @Version: 1.0
 */
@Data
public class BillingIncomeDetailDto {

    @ApiModelProperty(name = "billingIncome", value = "入账详细信息")
    private BillingIncome billingIncome;
    @ApiModelProperty(name = "disbursementEntry", value = "收汇凭证")
    private FileAbstractDto disbursementEntry;
    @ApiModelProperty(name = "paymentCollectionOperate", value = "收款操作记录")
    private PaymentCollectionOperate paymentCollectionOperate;
    @ApiModelProperty(name = "bankAccountDto", value = "收款银行信息")
    private BankAccountDto bankAccountDto;
    @ApiModelProperty(name = "billingIncomeInfo", value = "入账扩展信息")
    private BillingIncomeInfoDto billingIncomeInfo;
    @ApiModelProperty(name = "tradeRepaymentDto", value = "贸易回款相关信息")
    private TradeRepaymentDto tradeRepaymentDto;
    @ApiModelProperty(name = "orderListInfos", value = "订单列表信息")
    private List<OrderListInfoDto> orderListInfos;
}
