package com.trade.admin.finance.paymentcollection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/30 17:04
 * @Version: 1.0
 */
@Data
@ApiModel("入账扩展信息信息/详情提交")
public class BillingIncomeInfoDto {

    @ApiModelProperty(name = "billingIncomeId", value = "入账id")
    @NotNull(message = "入账id不能为空")
    private Long billingIncomeId;
    // 凭证号
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    /**
     * 申报年月（所属期）（yyyyMM）
     */
    @ApiModelProperty(name = "declarationMonthYear", value = "申报年月")
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    @ApiModelProperty(name = "declarationBatch", value = "申报批次")
    private String declarationBatch;
    /**
     * 结汇凭证
     */
    @ApiModelProperty(name = "fileId", value = "结汇凭证附件")
    private Long fileId;

    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
}
