package com.trade.admin.finance.paymentcollection.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDate;
import java.util.List;

/**
 * @description: 贸易回款信息
 * @Author: wanglang
 * @Date: 2024/11/4 14:47
 * @Version: 1.0
 */
@Data
public class TradeRepaymentDto {

    @ApiModelProperty(name = "attachment", value = "附件")
    private List<FileAbstractDto> attachment;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "expectedPaymentDueDate", value = "预计付款日期")
    private LocalDate expectedPaymentDueDate;
    @ApiModelProperty(name = "accountNumber", value = "提示收款银行账号")
    private String accountNumber;
    @ApiModelProperty(name = "promptReceivingCurrency", value = "提示收款币种")
    private String promptReceivingCurrency;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
}
