package com.trade.client.accounts.payableaccounts.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @description: 支付确认
 * @Author: wanglang
 * @Date: 2024/11/5
 * @Version: 1.0
 */
@Data
public class PaymentConfirmDto {
    @ApiModelProperty(name = "id", value = "主键id")
    @NotNull(message = "id不能为空")
    private Long id;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    @NotEmpty(message = "凭证号不能为空")
    private String voucherNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentTime", value = "支付时间")
    @NotNull(message = "支付时间不能为空")
    private LocalDateTime paymentTime;
    @ApiModelProperty(name = "fileId", value = "付款凭证")
    @NotNull(message = "付款凭证不能为空")
    private Long fileId;
}
