package com.trade.client.accounts.payableaccounts.service;

import com.trade.client.accounts.payableaccounts.dto.PaymentConfirmDto;
import com.trade.client.accounts.payableaccounts.vo.PayableAccountsDetail;
import com.trade.common.core.page.GridPage;
import com.trade.service.business.payableaccounts.domain.PayableAccounts;
import com.trade.service.business.payableaccounts.dto.PayableAccountsSearchDto;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/5
 * @Version: 1.0
 */
public interface BPayableAccountsService {

    /**
     * 分页查询付款记录
     *
     * @param searchDto
     * @return 分页信息
     */
    GridPage<PayableAccounts> queryListByPage(PayableAccountsSearchDto searchDto);

    /**
     * 提交付款确认
     * 
     * @param paymentConfirmDto
     * @return true/false
     */
    Boolean submitPaymentConfirm(PaymentConfirmDto paymentConfirmDto);

    /**
     * 查询付款记录详情
     * 
     * @param id
     * @return PayableAccountsDetail
     */
    PayableAccountsDetail queryDetail(Long id);
}
