package com.trade.client.accounts.receivepayment.service;

import com.trade.client.accounts.receivepayment.vo.ReceivePaymentDetailVo;
import com.trade.service.finance.disbursement.dto.ReceivePaymentSearchDto;
import com.trade.service.finance.disbursement.vo.ReceivePaymentPageVo;
import com.trade.common.core.page.GridPage;

/**
 * @description: 收款服务接口
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
public interface ReceivePaymentService {

    /**
     * 分页查询收款记录
     * 
     * @param searchDto
     * @return 分页信息
     */
    GridPage<ReceivePaymentPageVo> queryListByPage(ReceivePaymentSearchDto searchDto);

    /**
     * 根据id查询收款详情
     * 
     * @param id 收款id
     * @return 收款详情
     */
    ReceivePaymentDetailVo queryDetailById(Long id);
}
