package com.trade.client.accounts.receivepayment.vo;

import com.trade.client.accounts.receivepayment.dto.DocumentInfoDto;
import com.trade.client.accounts.receivepayment.dto.ReceivePaymentExtendDto;
import com.trade.service.filestorage.dto.FileAbstractDto;
import com.trade.service.finance.disbursement.domain.BillingDisbursement;
import com.trade.service.trade.salesorder.dto.OrderListInfoDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
@Data
public class ReceivePaymentDetailVo {

    @ApiModelProperty(name = "billingDisbursement", value = "收款信息/贸易基础信息")
    private BillingDisbursement billingDisbursement;
    // @ApiModelProperty(name = "documentInfoDto", value = "单据信息")
    // private List<DocumentInfoDto> documentInfoDtos;
    @ApiModelProperty(name = "paymentExtendDto", value = "收款扩展信息")
    private ReceivePaymentExtendDto paymentExtendDto;
    @ApiModelProperty(name = "attachments", value = "附件信息")
    private List<FileAbstractDto> attachments;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    @ApiModelProperty(name = "orderListInfo", value = "订单列表信息")
    private List<OrderListInfoDto> orderListInfo;
    // todo 融资相关信息 融资部分再做
}
