/**
 * @filename:CustomerUserApiController 2024年11月07日
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.enterprise.customer.controller;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.*;

import com.trade.client.enterprise.customer.domain.CustomerUser;

import com.trade.client.enterprise.customer.service.CustomerUserService;
import com.trade.common.core.domain.ResponseResult;

import io.swagger.annotations.Api;

/**
 * <p>
 * 说明： 客户API接口
 * </P>
 * 
 * @version: V1.0
 * @author: wanglang
 * @date: 2024年11月07日
 */
@Api(tags = "客户API接口", value = "客户API接口")
@RestController
@RequestMapping("/api/customerUser")
public class CustomerUserApiController {

    @Resource
    private CustomerUserService customerUserService;

    /**
     * 获取客户id
     *
     * @param customerUserId 客户id
     * @return ResponseResult<CustomerUser>
     */
    @GetMapping(value = "/get")
    public ResponseResult<CustomerUser> checkCode(String customerUserId) {
        return ResponseResult.success(customerUserService.getById(customerUserId));
    }
}
