package com.trade.client.trade.exportrebate.service;

import com.trade.client.trade.exportrebate.dto.ExportTaxRebateDetailsDto;
import com.trade.common.core.page.GridPage;
import com.trade.service.trade.exportrebate.dto.ExportTaxRebateStatisticDto;
import com.trade.service.trade.exportrebate.dto.search.ExportTaxRebateDetailsForCSearchDto;
import com.trade.service.trade.exportrebate.dto.search.TaxRebateSearchDto;

/**
 * 出口退税接口
 *
 * @author hlb
 * @since 2024-10-22 15:46:16
 */
public interface ExportTaxRebateService {

    /**
     * 根据条件分页查询退税明细汇总
     * 
     * @param search
     * @return
     */
    GridPage<ExportTaxRebateStatisticDto> getPagesBySearch(TaxRebateSearchDto search);

    /**
     * 查询出口退税明细详情
     * 
     * @param search
     * @return
     */
    ExportTaxRebateDetailsDto getDetails(ExportTaxRebateDetailsForCSearchDto search);

    /**
     * 获取退税系统跳转链接
     * 
     * @return
     */
    String getTaxRebateUrl();

    /**
     * 获取报关单下载链接
     * 
     * @return
     */
    String getDownloadCustomsDeclarationUrl();

    /**
     * 获取采购发票下载链接
     * 
     * @return
     */
    String getDownloadPurchaseInvoiceUrl();
}
