package com.trade.client.trade.salescontract.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/9/29 16:57
 * @Version: 1.0
 */
@Data
public class SalesUploadContractDto {

    @ApiModelProperty(name = "fileId", value = "合同列表id")
    @NotNull(message = "合同列表id不能为空")
    private Long contractId;
    @ApiModelProperty(name = "fileId", value = "文件id")
    @NotNull(message = "文件id不能为空")
    private Long fileId;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "signDate", value = "签署日期")
    @NotNull(message = "签署日期")
    private LocalDate signDate;
}
