/**
 * @filename:0ayableAccounts 2024-11-05
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.payableaccounts.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Description:应付账款关联表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
// @Accessors(chain = true)
public class PayableAccounts extends BizBaseEntity {

    private static final long serialVersionUID = 1730774830243L;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "billingIncomeId", value = "入账表id")
    private Long billingIncomeId;
    @ApiModelProperty(name = "paymentType", value = "付款类型1技术服务费2出口退税服务费")
    private String paymentType;
    @ApiModelProperty(name = "paymentAmount", value = "付款金额")
    private BigDecimal paymentAmount;
    @ApiModelProperty(name = "paymentCurrency", value = "付款金额币种代码")
    private String paymentCurrency;
    @ApiModelProperty(name = "applyNo", value = "融资申请编号获取其他编号")
    private String applyNo;
    @ApiModelProperty(name = "salesContractNo", value = "合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "contractName", value = "合同名称")
    private String contractName;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentDeadline", value = "付款截至时间")
    private LocalDateTime paymentDeadline;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "paymentTime", value = "支付时间")
    private LocalDateTime paymentTime;
    @ApiModelProperty(name = "payeeType", value = "收款方类型1客户2资金方3代理公司4长银科技公司")
    private String payeeType;
    @ApiModelProperty(name = "payeeName", value = "收款方名称")
    private String payeeName;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    @ApiModelProperty(name = "status", value = "支付状态1待支付2未支付（超时未付）3已完成")
    private String status;
    @ApiModelProperty(name = "source", value = "来源1B端2C端")
    private Integer source;
    @ApiModelProperty(name = "deleted", value = "删除标识")
    private Integer deleted;
}
