package com.trade.service.business.payableaccounts.dto;

import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 应付账款查询条件
 * @Author: wanglang
 * @Date: 2024/11/5
 * @Version: 1.0
 */
@Data
public class PayableAccountsSearchDto extends PageDomain {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "paymentType", value = "付款类型1技术服务费2出口退税服务费")
    private String paymentType;
    @ApiModelProperty(name = "applyNo", value = "融资申请编号获取其他编号")
    private String applyNo;
    @ApiModelProperty(name = "salesContractNo", value = "合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "status", value = "支付状态1待支付2未支付（超时未付）3已完成")
    private String status;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    @ApiModelProperty(name = "deadlineStartTime", value = "付款截至时间开始时间")
    private String deadlineStartTime;
    @ApiModelProperty(name = "deadlineEndTime", value = "付款截至时间结束时间")
    private String deadlineEndTime;
    @ApiModelProperty(name = "paymentStartTime", value = "支付时间开始时间")
    private String paymentStartTime;
    @ApiModelProperty(name = "paymentEndTime", value = "支付时间结束时间")
    private String paymentEndTime;
    @ApiModelProperty(name = "gmtCreateStartTime", value = "产生开始时间")
    private String gmtCreateStartTime;
    @ApiModelProperty(name = "gmtCreatEndTime", value = "产生结束时间")
    private String gmtCreatEndTime;
}
