package com.trade.service.business.payableaccounts.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @description: 税金退款服务费
 * @Author: wanglang
 * @Date: 2024/11/5
 * @Version: 1.0
 */
@Data
public class ServiceFeeDto {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "paymentAmount", value = "付款金额")
    private BigDecimal paymentAmount;
    @ApiModelProperty(name = "paymentCurrency", value = "付款金额币种代码")
    private String paymentCurrency;
    @ApiModelProperty(name = "paymentDeadline", value = "付款截至时间")
    private LocalDateTime paymentDeadline;
    @ApiModelProperty(name = "payeeName", value = "收款方名称")
    private String payeeName;
}
