/**
 * @filename:0ayableAccountsService 2024-11-05
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.payableaccounts.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.business.payableaccounts.domain.PayableAccounts;
import com.trade.service.business.payableaccounts.dto.PayableAccountsSearchDto;
import com.trade.service.business.payableaccounts.dto.ServiceFeeDto;

import java.util.List;

/**
 * @Description:应付账款表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface PayableAccountsService extends IService<PayableAccounts> {

    /**
     * 分页查询
     *
     * @param searchDto 查询条件
     * @return List<SeparateAccounts>
     */
    List<PayableAccounts> queryByPage(PayableAccountsSearchDto searchDto);

    /**
     * 保存退税服务费
     * @param refundServiceFeeDto
     * @return boolean
     */
    boolean saveTaxRefundServiceFee(ServiceFeeDto refundServiceFeeDto);
}
