/**
 * @filename:SeparateAccounts 2024-10-23
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.separateaccounts.domain;

import java.math.BigDecimal;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description:分账表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
// @Accessors(chain = true)
public class SeparateAccounts extends BizBaseEntity {

    private static final long serialVersionUID = 1729681769103L;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "billingIncomeId", value = "入账表id")
    private Long billingIncomeId;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "contractName", value = "销售合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贸易回款3预收货款4贸易融资款")
    private String paymentType;
    @ApiModelProperty(name = "status", value = "分账状态1待处理2已完成")
    private String status;
    @ApiModelProperty(name = "transactionNumber", value = "交易编号")
    private String transactionNumber;
    @ApiModelProperty(name = "entryAmount", value = "入账金额")
    private BigDecimal entryAmount;
    @ApiModelProperty(name = "entryCurrency", value = "入账金额币种代码")
    private String entryCurrency;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "entryDate", value = "入账日期")
    private LocalDate entryDate;
    @ApiModelProperty(name = "settlementAmount", value = "结汇人民币金额")
    private BigDecimal settlementAmount;
    @ApiModelProperty(name = "actualRetainedAmount", value = "实际留存人民币金额")
    private BigDecimal actualRetainedAmount;
    @ApiModelProperty(name = "currencyCode", value = "结汇人民币金额币种")
    private String settlementCurrency;
    @ApiModelProperty(name = "currencyCode", value = "币种")
    private String actualRetainedCurrency;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
}
