/**
 * @filename:SeparateAccountsDao 2024-10-23
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.separateaccounts.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.business.separateaccounts.domain.SeparateAccounts;
import com.trade.service.business.separateaccounts.dto.SeparateAccountsSearchDto;
import com.trade.service.business.separateaccounts.vo.SeparateAccountsPageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description:分账表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface SeparateAccountsMapper extends BaseMapper<SeparateAccounts> {

    /**
     * 分页查询
     * 
     * @param searchDto 查询条件
     * @return List<SeparateAccounts>
     */
    List<SeparateAccountsPageVo> selectByPage(SeparateAccountsSearchDto searchDto);
}
