/**
 * @filename:SeparateAccountsInfoService 2024-10-23
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.separateaccounts.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.business.separateaccounts.domain.SeparateAccountsInfo;

/**
 * @Description:分账信息表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface SeparateAccountsInfoService extends IService<SeparateAccountsInfo> {

    /**
     * 根据分账id查询分账信息
     * 
     * @param separateAccountsId 分账id
     * @return List<SeparateAccountsInfo>
     */
    List<SeparateAccountsInfo> queryBySeparateAccountsId(Long separateAccountsId);
}
