/**
 * @filename:SeparateAccountsService 2024-10-23
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.separateaccounts.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.business.separateaccounts.domain.SeparateAccounts;
import com.trade.service.business.separateaccounts.dto.SeparateAccountsSearchDto;
import com.trade.service.business.separateaccounts.vo.SeparateAccountsPageVo;
import com.trade.service.finance.paymentcollection.domain.BillingIncome;

import java.util.List;

/**
 * @Description:分账表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface SeparateAccountsService extends IService<SeparateAccounts> {

    /**
     * 保存分账记录
     * 
     * @param income
     * @param operator
     * @return boolean
     */
    boolean saveSeparateAccounts(BillingIncome income, String operator);

    /**
     * 分页查询
     *
     * @param searchDto 查询条件
     * @return List<SeparateAccounts>
     */
    List<SeparateAccountsPageVo> selectByPage(SeparateAccountsSearchDto searchDto);
}
