/**
 * @filename:SeparateAccountsInfoServiceImpl 2024-10-23
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.separateaccounts.service.impl;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trade.service.business.separateaccounts.domain.SeparateAccountsInfo;
import com.trade.service.business.separateaccounts.mapper.SeparateAccountsInfoMapper;
import com.trade.service.business.separateaccounts.service.SeparateAccountsInfoService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @Description:分账信息表服务实现
 * @version: v1.1.0
 * @author: wanglang
 */
@Service
public class SeparateAccountsInfoServiceImpl extends ServiceImpl<SeparateAccountsInfoMapper, SeparateAccountsInfo> implements SeparateAccountsInfoService {

    @Override
    public List<SeparateAccountsInfo> queryBySeparateAccountsId(Long separateAccountsId) {
        return this.lambdaQuery().eq(SeparateAccountsInfo::getSeparateAccountsId, separateAccountsId).list();
    }
}
