package com.trade.service.business.separateaccounts.vo;

import java.math.BigDecimal;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 分账管理分页查询参数
 * @Author: wanglang
 * @Date: 2024/10/23 20:00
 * @Version: 1.0
 */
@Data
public class SeparateAccountsPageVo {

    @ApiModelProperty(name = "id", value = "主键id")
    private Long id;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "contractName", value = "销售合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贸易回款")
    private String paymentType;
    @ApiModelProperty(name = "status", value = "分账状态1待处理2已完成")
    private String status;
    @ApiModelProperty(name = "transactionNumber", value = "交易编号")
    private String transactionNumber;
    @ApiModelProperty(name = "entryAmount", value = "入账金额")
    private BigDecimal entryAmount;
    @ApiModelProperty(name = "entryCurrency", value = "入账金额币种代码")
    private String entryCurrency;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "entryDate", value = "入账日期")
    private LocalDate entryDate;
    @ApiModelProperty(name = "customerIdentifierNo", value = "客户编号")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
}
