package com.trade.service.contract.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * 合同常量类
 */
public class ContractConstant {

    public static final Integer CONTRACT_PLATFORM_ESIGN = 1;// 电子签平台 - e签宝
    public static final Integer CONTRACT_PLATFORM_FADADA = 2;// 电子签平台 -法大大
    public static final String CONTRACT_PLATFORM_SERVICE_NAME_ESIGN = "ESign";// 电子签平台 - e签宝
    public static final String CONTRACT_PLATFORM_SERVICE_NAME_FADADA = "faDada";// 电子签平台 -法大大
    /**
     * 签署状态
     */
    public static final Integer CONTRACT_SIGN_STATUS_UNSIGNED = 0;// 未签署
    public static final Integer CONTRACT_SIGN_STATUS_SIGNED = 1;// 已签署
    public static final Integer CONTRACT_SIGN_STATUS_EXPIRED = 2;// 已过期
    public static final Integer CONTRACT_SIGN_STATUS_REJECTED = 3;// 拒签
    /**
     * 签署业务类型
     */
    public static final String SIGN_BIZ_TYPE_COMPANY_AUTH_CREDIT = "bizAuthCredit";// 签署业务类型 - 企业征信授权书
    public static final String SIGN_BIZ_TYPE_AUTHORIZATION_LETTER = "authorizationLetter";// 签署业务类型 - C端-授权委托书
    public static final String SIGN_BIZ_TYPE_PURCHASE_CONTRACT = "purchaseContract";// 签署业务类型 - C端-采购合同
    public static final String SIGN_BIZ_TYPE_TAX_REBATE_AGREEMENT = "taxRebateAgreement"; // 签署业务类型 - C端-退税服务协议
    public static Map<Integer, String> contractStrategyMap = new HashMap<>();
    static {
        contractStrategyMap.put(CONTRACT_PLATFORM_ESIGN, CONTRACT_PLATFORM_SERVICE_NAME_ESIGN);
        contractStrategyMap.put(CONTRACT_PLATFORM_FADADA, CONTRACT_PLATFORM_SERVICE_NAME_FADADA);
    }
}
