package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * fdd签署文件表
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-26
 */
@Getter
@Setter
@TableName("fdd_sign_file")
@Builder
public class FddSignFile extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * fdd签署流程ID
     */
    private String flowId;

    /**
     * fdd合同签署文件ID
     */
    private String thirdFileId;

    /**
     * 文件名称（冗余字段，用于存证区分关键字）
     */
    private String fileName;

    /**
     * 未签署文件ID(文件系统)
     */
    private Long rawFileId;

    /**
     * 已签署文件ID(文件系统)
     */
    private Long signedFileId;
}
