package com.trade.service.credit.domain;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.BizBaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 授信申请信息记录
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_credit_apply")
public class BizCreditApply  extends BizBaseEntity<BizCreditApply> {

    private static final long serialVersionUID = 1L;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 申请编号
     */
    private String applyNo;

    /**
     * 状态 0待提交/1生效
     */
    private Integer status;

    /**
     * 产品
     */
    private String bizProd;

    /**
     * 币种
     */
    private String currency;

    /**
     * 申请时间
     */
    private LocalDateTime applyDate;

    /**
     * 进口买方企业id
     */
    private Long relateEntityId;

}
