package com.trade.service.credit.domain;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.BizBaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业征信授权记录
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_entity_credit_auth")
public class BizEntityCreditAuth extends BizBaseEntity<BizEntityCreditAuth> {

    private static final long serialVersionUID = 1L;


    /**
     * 企业证件号
     */
    private String certNo;

    /**
     * 状态 0待签署/1生效/2过期/3拒签
     */
    private Integer status;
    /**
     * 签署流程id
     */
    private String signFlowId;

    /**
     * 文件存储id
     */
    private Long fileStorageId;

    /**
     * 签署时间
     */
    private LocalDateTime signDate;

}
