package com.trade.service.enterprise.companyrelated.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.enterprise.companyrelated.domain.ImporterEntity;
import com.trade.service.enterprise.companyrelated.domain.vo.ImporterEntityDict;
import com.trade.service.enterprise.companyrelated.domain.vo.ImporterEntitySearch;
import com.trade.service.enterprise.companyrelated.domain.vo.ImporterEntityVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 进口商企业信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
public interface ImporterEntityMapper extends BaseMapper<ImporterEntity> {

    List<ImporterEntityVO> queryListBySearch(ImporterEntitySearch search);

    ImporterEntity getByUserIdAndCertNo(@Param("customerUserId")Long userId, @Param("certNo")String certNo);

    List<ImporterEntityDict> getList4Dict();

    ImporterEntityVO getVOByEntityId(Long entityId);
}
