package com.trade.service.enterprise.companyrelated.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.enterprise.companyrelated.domain.VendorEntity;
import com.trade.service.enterprise.companyrelated.domain.vo.VendorEntityDict;
import com.trade.service.enterprise.companyrelated.domain.vo.VendorEntitySearch;
import com.trade.service.enterprise.companyrelated.domain.vo.VendorEntityVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 供应商企业信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
public interface VendorEntityMapper extends BaseMapper<VendorEntity> {

    List<VendorEntityVO> queryListBySearch(VendorEntitySearch search);

    VendorEntity getByUserIdAndEntityName(@Param("customerUserId") Long customerUserId,
            @Param("entityName") String entityName);

    VendorEntityVO getVOByEntityId(Long entityId);

    List<VendorEntityDict> getList4Dict();
}
