package com.trade.service.enterprise.customer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.enterprise.customer.dto.EnterpriseBaseInfoDto;
import com.trade.service.enterprise.customer.dto.EnterpriseDictVO;
import com.trade.service.enterprise.customer.dto.EnterpriseSearchDto;
import com.trade.service.enterprise.customer.domain.Enterprise;
import com.trade.service.enterprise.customer.dto.EnterpriseXtIdsDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业信息数据库访问
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {

    List<EnterpriseBaseInfoDto> findBySearch(EnterpriseSearchDto search);

    List<EnterpriseBaseInfoDto> findByCustomerInfo(@Param("customerInfo") String customerInfo);

    List<EnterpriseDictVO> queryAllEnterprise4Dict();

    /**
     * 根据企业证件号获取小图系统id
     * 
     * @param certNo 企业证件号
     * @return 小图系统id
     */
    EnterpriseXtIdsDto getEnterpriseXtIdsDto(String certNo);
}
