package com.trade.service.finance.disbursement.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31 16:18
 * @Version: 1.0
 */
@Data
public class ReceivePaymentSearchDto extends PageDomain {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
    @ApiModelProperty(name = "paymentType", value = "款项类型分账类型1出口退税款2贸易回款3预收货款4贸易融资款5贷款差额6贷款结汇差额")
    private String paymentType;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "payerType", value = "付款方类型1代理公司2资金方3税务局")
    private String payerType;
    @ApiModelProperty(name = "payerName", value = "付款方名称")
    private String payerName;
    @ApiModelProperty(name = "payerName", value = "收款方类型")
    private String payeeType;
    @ApiModelProperty(name = "payerName", value = "收款方名称")
    private String payeeName;
    @ApiModelProperty(name = "beginTime", value = "付款日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate beginTime;
    @ApiModelProperty(name = "endTime", value = "付款日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endTime;
}
