/**
 * @filename:!BillingDisbursementDao 2024-10-28
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.disbursement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.finance.disbursement.domain.BillingDisbursement;
import com.trade.service.finance.disbursement.dto.DisbursementSearchDto;
import com.trade.service.finance.disbursement.dto.ReceivePaymentSearchDto;
import com.trade.service.finance.disbursement.vo.BillingDisbursementPageVo;
import com.trade.service.finance.disbursement.vo.ReceivePaymentPageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description:出账表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface BillingDisbursementMapper extends BaseMapper<BillingDisbursement> {

    /**
     * 分页查询
     *
     * @param searchDto 查询条件
     * @return List<SeparateAccounts>
     */
    List<BillingDisbursementPageVo> selectByPage(DisbursementSearchDto searchDto);

    /**
     * 分页查询 C端
     * 
     * @param searchDto
     * @return
     */
    List<ReceivePaymentPageVo> selectByPageForCustomer(ReceivePaymentSearchDto searchDto);
}
