package com.trade.service.finance.disbursement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
@Data
public class ReceivePaymentPageVo {

    @ApiModelProperty(name = "id", value = "主键id")
    private Long id;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
    @ApiModelProperty(name = "paymentType", value = "款项类型分账类型1出口退税款2贸易回款3预收货款4贸易融资款5贷款差额6贷款结汇差额")
    private String paymentType;
    @ApiModelProperty(name = "accountNumber", value = "收款账号")
    private String accountNumber;
    @ApiModelProperty(name = "receivePaymentAmount", value = "收款金额")
    private BigDecimal receivePaymentAmount;
    @ApiModelProperty(name = "receivePaymentCurrency", value = "收款金额币种代码")
    private String receivePaymentCurrency;
    @ApiModelProperty(name = "salesContractNo", value = "合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "contractName", value = "合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "payerType", value = "付款方类型1代理公司2资金方3税务局")
    private String payerType;
    @ApiModelProperty(name = "payerName", value = "付款方名称")
    private String payerName;
    @ApiModelProperty(name = "paymentDate", value = "付款日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate paymentDate;
}
