/**
 * @filename:BillingIncomeInfo 2024-10-24
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:支付基础表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
// @Accessors(chain = true)
public class BillingIncomeInfo extends BizBaseEntity {

    private static final long serialVersionUID = 1730084215281L;
    @ApiModelProperty(name = "billingIncomeId", value = "入账主表id")
    private Long billingIncomeId;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    @ApiModelProperty(name = "bankName", value = "银行名称")
    private String bankName;
    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 海关报关单号（18位）
     */
    private String customsDeclarationNo;
    // 出口货物报关单号（21位）
    private String exportCustomsDeclarationNo;
    // 出口明细表ids JSON
    private String detailIds;
    // 凭证号
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
}
