/**
 * @filename:/rderReceivePaymentAssociation 2024-11-06
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.domain;

import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @Description:订单与收款关联表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class OrderReceivePaymentAssociation extends BizBaseEntity {

    private static final long serialVersionUID = 1730873893287L;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "orderId", value = "销售订单id")
    private Long orderId;
    /**
     * 订单编号
     */
    @ApiModelProperty(name = "orderNo", value = "订单编号")
    private String orderNo;
    @ApiModelProperty(name = "goodsAmount", value = "订单原有收款金额/应收货款金额")
    private BigDecimal goodsAmount;
    @ApiModelProperty(name = "goodsCurrency", value = "订单原有收款金额币种代码")
    private String goodsCurrency;
    @ApiModelProperty(name = "actualReceivedAmount", value = "收款金额/实际收款金额")
    private BigDecimal actualReceivedAmount;
    @ApiModelProperty(name = "actualReceivedCurrency", value = "收款金额币种代码")
    private String actualReceivedCurrency;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    @ApiModelProperty(name = "fileId", value = "补充协议文件")
    private Long fileId;
    @ApiModelProperty(name = "businessBatchNumber", value = "业务批次编号")
    private String businessBatchNumber;
    @ApiModelProperty(name = "source", value = "来源1B端2C端")
    private Integer source;
    // 销售订单中商品总金额最大的“商品名称”（报关品名）。不同商品的总金额相同，则随机的一个“商品名称”。
    @ApiModelProperty(name = "goodsName", value = "商品名称（仅用于B端入账详情展示）")
    private String goodsName;
}
