/**
 * @filename:PaymentCollectionOperate 2024-10-22
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

/**
 * @Description:出入账操作表实体类
 * @version: v1.1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PaymentCollectionOperate extends BizBaseEntity {

    private static final long serialVersionUID = 1729576896472L;
    @ApiModelProperty(name = "applicant", value = "申请人")
    private String applicant;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "applyDate", value = "申请时间")
    private LocalDateTime applyDate;
    @ApiModelProperty(name = "businessId", value = "出入账表id")
    private Long businessId;
    @ApiModelProperty(name = "businessType", value = "业务类型1入账2出账3分账4支付11入账操作记录")
    private Integer businessType;
    @ApiModelProperty(name = "applicantRemark", value = "申请人备注")
    private String applicantRemark;
    @ApiModelProperty(name = "reviewRemark", value = "审核人备注")
    private String reviewRemark;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "reviewDate", value = "审核时间")
    private LocalDateTime reviewDate;
    @ApiModelProperty(name = "reviewer", value = "审核人")
    private String reviewer;

    public PaymentCollectionOperate() {
    }

    public PaymentCollectionOperate(Long businessId, Integer businessType) {
        this.businessId = businessId;
        this.businessType = businessType;
    }
}
