/**
 * @filename:#BillingIncomeMapper 2024-10-22
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.finance.paymentcollection.domain.BillingIncome;
import com.trade.service.finance.paymentcollection.dto.BillingIncomeSearchDto;
import com.trade.service.finance.paymentcollection.vo.BillingIncomePageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description:入账表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface BillingIncomeMapper extends BaseMapper<BillingIncome> {

    /**
     * 分页查询入账表
     * 
     * @param searchDto 查询条件
     * @return 入账表分页列表
     */
    List<BillingIncomePageVo> selectByPage(BillingIncomeSearchDto searchDto);
}
