/**
 * @filename:BillingIncomeInfoService 2024-10-28
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.finance.paymentcollection.domain.BillingIncomeInfo;

/**
 * @Description:支付基础表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface BillingIncomeInfoService extends IService<BillingIncomeInfo> {
    /**
     * 根据支付基础表id获取支付基础表信息
     * @param billingIncomeId 支付基础表id
     * @return 支付基础表信息
     */
    BillingIncomeInfo getBillingIncomeById(Long billingIncomeId);
}
