/**
 * @filename:/rderIncomeAssociationService 2024-11-04
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.finance.paymentcollection.domain.OrderIncomeAssociation;

/**
 * @Description:订单与入账关联表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface OrderIncomeAssociationService extends IService<OrderIncomeAssociation> {

    /**
     * 根据入账id获取关联信息
     * 
     * @param billingIncomeId 入账id
     * @return OrderIncomeAssociation
     */
    OrderIncomeAssociation getByBillingIncomeIdId(Long billingIncomeId);

    /**
     * 根据分账ID获取订单入账信息
     * 
     * @param separateAccountsInfoId
     * @return OrderIncomeAssociation
     */
    OrderIncomeAssociation getOrderIncomeAssociation(Long separateAccountsInfoId);
}
