/**
 * @filename:/rderReceivePaymentAssociationService 2024-11-06
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.finance.paymentcollection.domain.OrderReceivePaymentAssociation;
import com.trade.service.trade.salesorder.dto.OrderListInfoDto;

import java.util.List;

/**
 * @Description:订单与收款关联表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface OrderReceivePaymentAssociationService extends IService<OrderReceivePaymentAssociation> {

    /**
     * 根据业务批次号查询
     * 
     * @param businessBatchNumber
     * @return OrderListInfoDto
     */
    List<OrderListInfoDto> queryByBusinessBatchNumber(String businessBatchNumber);

    /**
     * 根据业务批次号和订单id查询
     * 
     * @param businessBatchNumber
     * @param orderId
     * @return OrderReceivePaymentAssociation
     */
    OrderReceivePaymentAssociation queryByBusinessBatchNumberAndOrderId(String businessBatchNumber, Long orderId);
}
