/**
 * @filename:PaymentCollectionOperateService 2024-10-22
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.finance.paymentcollection.domain.PaymentCollectionOperate;

/**
 * @Description:出入账操作表服务层
 * @version: v1.1.0
 * @author: wanglang
 */
public interface PaymentCollectionOperateService extends IService<PaymentCollectionOperate> {

    /**
     * 根据业务id和业务类型获取业务信息
     * 
     * @param businessId 业务id
     * @param businessType 业务类型
     * @return PaymentCollectionOperate
     */
    PaymentCollectionOperate getBusinessInfo(Long businessId, Integer businessType);
}
