/**
 * @filename:BillingIncomeInfoServiceImpl 2024-10-28
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.service.impl;

import com.trade.service.finance.paymentcollection.domain.BillingIncomeInfo;
import com.trade.service.finance.paymentcollection.mapper.BillingIncomeInfoMapper;
import com.trade.service.finance.paymentcollection.service.BillingIncomeInfoService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:支付基础表服务实现
 * @version: v1.1.0
 * @author: wanglang
 */
@Service
public class BillingIncomeInfoServiceImpl extends ServiceImpl<BillingIncomeInfoMapper, BillingIncomeInfo> implements BillingIncomeInfoService {

    @Override
    public BillingIncomeInfo getBillingIncomeById(Long billingIncomeId) {
        return this.lambdaQuery().eq(BillingIncomeInfo::getBillingIncomeId, billingIncomeId).one();
    }
}
