package com.trade.service.finance.paymentcollection.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description: 账单收入分页查询VO
 * @Author: wanglang
 * @Date: 2024/10/22
 * @Version: 1.0
 */
@Data
public class BillingIncomePageVo {

    @ApiModelProperty(name = "id", value = "申请id")
    private Long id;
    @ApiModelProperty(name = "customerIdentifierNo", value = "客户编号")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "financierName", value = "资金方名称")
    private String financierName;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "actualAmount", value = "实际到账金额")
    private BigDecimal actualAmount;
    @ApiModelProperty(name = "applyAmount", value = "申请金额")
    private BigDecimal applyAmount;
    @ApiModelProperty(name = "applyCurrency", value = "申请币种")
    private String applyCurrency;
    @ApiModelProperty(name = "actualCurrency", value = "实际到账金额币种")
    private String actualCurrency;
    @ApiModelProperty(name = "transactionNumber", value = "交易编号")
    private String transactionNumber;
    @ApiModelProperty(name = "status", value = "入账状态1待确认2已收款")
    private String status;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate;
    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贸易回款")
    private String paymentType;
    @ApiModelProperty(name = "paymentWay", value = "入账方式2入账申请1系统录入")
    private String paymentWay;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
    @ApiModelProperty(name = "payeeType", value = "收款方类型1代理公司2长银科技公司")
    private String payeeType;
    @ApiModelProperty(name = "payeeType", value = "收款方名称")
    private String payeeName;
    @ApiModelProperty(name = "payerType", value = "付款方类型1进水口2资金方3税务局4进口商")
    private String payerType;
    @ApiModelProperty(name = "payerName", value = "付款方名称")
    private String payerName;
}
