package com.trade.service.finance.paymentcollection.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 销售合同信息
 * @Author: wanglang
 * @Date: 2024/10/22 14:29
 * @Version: 1.0
 */
@Data
public class EntrySalesContractDetailVo {

    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "contractName", value = "合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    /**
     * 代理公司所属地区，枚举类型district_code
     */
    @ApiModelProperty(name = "代理公司所属地区", value = "代理公司所属地区(CN_MAINLAND-中国大陆)")
    private String proxyDistrictCode;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "customerIdentifierNo", value = "客户编号")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "financierName", value = "资金方名称")
    private String financierName;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
}
