/**
 * @filename:InvoiceTypeMapping 2024-10-14
 * @project KJT  v1.0.0
 * Copyright(c) 2024 wanglang Co. Ltd.
 * All right reserved. 
 */
package com.trade.service.system.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;


/**   
 * @Description:小图-kjt-发票类型映射表实体类
 * 
 * @version: v1.0.0
 * @author: wanglang
 * 
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
public class InvoiceTypeMapping extends BizBaseEntity<InvoiceTypeMapping> {

	private static final long serialVersionUID = 1728872594093L;
	@ApiModelProperty(name = "code" , value = "小图发票编码")
	private String code;
    
	@ApiModelProperty(name = "name" , value = "小图发票名称")
	private String name;
    
	@ApiModelProperty(name = "kjtCode" , value = "跨境通发票编码")
	private String kjtCode;
    
	@ApiModelProperty(name = "remark" , value = "备注")
	private String remark;
    



}
