/**
 * @filename:InvoiceTypeMappingService 2024-10-14
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.system.domain.InvoiceTypeMapping;

import java.util.List;

/**
 * @Description:小图-kjt-发票类型映射表服务层
 * @version: v1.0.0
 * @author: wanglang
 */
public interface InvoiceTypeMappingService extends IService<InvoiceTypeMapping> {

    /**
     * 根据code查询发票类型
     * 
     * @param code 发票类型编码
     * @return InvoiceTypeMapping
     */
    InvoiceTypeMapping getInvoiceCode(String code);

    /**
     * 根据kjtCode查询发票类型
     * 
     * @param kjtCode 发票类型编码
     * @return InvoiceTypeMapping
     */
    List<InvoiceTypeMapping> getInvoiceKjtCode(String kjtCode);
}
