/**
 * @filename:InvoiceTypeMappingServiceImpl 2024-10-14
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.system.service.impl;

import com.trade.service.system.domain.InvoiceTypeMapping;
import com.trade.service.system.mapper.InvoiceTypeMappingMapper;
import com.trade.service.system.service.InvoiceTypeMappingService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description:小图-kjt-发票类型映射表服务实现
 * @version: v1.0.0
 * @author: wanglang
 */
@Service
public class InvoiceTypeMappingServiceImpl extends ServiceImpl<InvoiceTypeMappingMapper, InvoiceTypeMapping> implements InvoiceTypeMappingService {

    @Override
    public InvoiceTypeMapping getInvoiceCode(String code) {
        return this.lambdaQuery().eq(InvoiceTypeMapping::getCode, code).one();
    }

    @Override
    public List<InvoiceTypeMapping> getInvoiceKjtCode(String kjtCode) {
        return this.lambdaQuery().eq(InvoiceTypeMapping::getKjtCode, kjtCode).list();
    }
}
