package com.trade.service.thirdparty.sop.dto;

/**
 * <p>
 * 裁判文书信息
 * </p>
 */
public class CJudgmentDocuments {

    /**
     * 文书标题
     */
    private String caseName;
    /**
     * 案由
     */
    private String caseReason;
    /**
     * 案号
     */
    private String caseNo;
    /**
     * 案件金额（元）
     */
    private String amount;
    /**
     * 是否原告，true或false
     */
    private String prosecutor;
    /**
     * 是否被告，true或false
     */
    private String defendant;
    /**
     * 裁判结果
     */
    private String judgeResult;
    /**
     * 裁判日期
     */
    private String judgeDate;
    /**
     * 发布日期
     */
    private String publishDate;
    /**
     * 案件类型(ms:民事 xs:刑事 xz:行政 pc:赔偿 zx:执行 gx: 管辖案件 gsx：国际司法协助案件 qsx：区际司法协助案件 other：其他)
     */
    private String caseType;
    /**
     * 综合风险排查信息表id
     */
    private Long comprehensiveRiskInvestigationId;
    /**
     * 当事人名称
     */
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getProsecutor() {
        return prosecutor;
    }

    public void setProsecutor(String prosecutor) {
        this.prosecutor = prosecutor;
    }

    public String getDefendant() {
        return defendant;
    }

    public void setDefendant(String defendant) {
        this.defendant = defendant;
    }

    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    public String getJudgeDate() {
        return judgeDate;
    }

    public void setJudgeDate(String judgeDate) {
        this.judgeDate = judgeDate;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public Long getComprehensiveRiskInvestigationId() {
        return comprehensiveRiskInvestigationId;
    }

    public void setComprehensiveRiskInvestigationId(Long comprehensiveRiskInvestigationId) {
        this.comprehensiveRiskInvestigationId = comprehensiveRiskInvestigationId;
    }

    @Override
    public String toString() {
        return "CJudgmentDocuments{" + "caseName=" + caseName + ", caseReason=" + caseReason + ", caseNo=" + caseNo
                + ", amount=" + amount + ", prosecutor=" + prosecutor + ", defendant=" + defendant + ", judgeResult="
                + judgeResult + ", judgeDate=" + judgeDate + ", publishDate=" + publishDate + ", caseType=" + caseType
                + ", comprehensiveRiskInvestigationId=" + comprehensiveRiskInvestigationId + "}";
    }
}
