package com.trade.service.thirdparty.xiaotu.dto;

import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 出口/退进货明细请求参数
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class ExportDetailsRequest extends CommonQueryRequest {

    /**
     * 所属期(4 位年度或 6 位年月)
     */
    private String ssq;
    /**
     * 申报批次(3位数字) (生产型企业没有该字段)
     */
    private String sbpc;
    /**
     * 报关单号集合 数组
     */
    private List<String> ckbgdhs;
    /**
     * 申报状态 WSB：未申报 YSB：已申报
     */
    private String sbzt = "YSB";
    /**
     * 申报日期起 yyyy-MM-dd(生产型企业没有该字段)
     */
    private String sbrqQ;
    /**
     * 申报日期止 yyyy-MM-dd(生产型企业没有该字段)
     */
    private String sbrqZ;
}
