package com.trade.service.thirdparty.xiaotu.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 出口/进货明细查询接口(外贸) - 响应对象
 */
@Getter
@Setter
public class TradeExportAndPurchaseDetailsResponse extends CommonResultRows {

    private String ssq; // 申报年月
    private String sbpc; // 申报批次
    private String sbxh; // 序号
    private String glh; // 关联号
    private String ckbgdh; // 出口货物报关单号
    private String dlzmh; // 代理出口货物证明号
    private String ckfph; // 出口发票号
    private BigDecimal tse; // 退税额
    private Long ckrq; // 出口日期
    private String ckspDm; // 出口商品代码
    private String sbhgspmc; // 出口商品名称
    private String hgjldwmc; // 计量单位
    private String sbspDm; // 申报商品代码
    private String sbspmc; // 申报商品名称
    private BigDecimal cksl; // 出口数量
    private BigDecimal mylaj; // 美元离岸价
    private String cktmsywlxdmjh; // 退（免）税业务类型
    private String cktmsywlxmcjh; // 退（免）税业务类型名称
    private String gnqyfsDm; // 国内启运方式
    private String gnqyfsmc; // 国内启运方式名称
    private String hgzsrzqylxDm; // 海关总署认证企业类型
    private String hgzsrzqylxmc; // 海关总署认证企业类型代码
    private String bz;//备注
    private String shbz;//审核标志
    private String byblbz;//不予办理标志
    private String bytsbz;//不予退税标志
    private String zbblbz;//暂不办理标志
    private String byblny;//不予办理年月
    private String bytsny;//不予退税年月
    private String zbblny;//暂不办理年月
    private String zzjczbblzyny;//最终解除暂不办理准予年月
    private String dzbqbz;//单证不齐标志
    private List<PurchaseDetailsResponse> tsjhmx; //退税进货明细
}
