package com.trade.service.trade.exportrebate.dto.search;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExportTaxRebateDetailsForCSearchDto {

    /**
     * 客户id
     */
    private Long customerUserId;
    /**
     * 销售订单号
     */
    private String salesOrderNo;
    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 海关报关单号（18位）
     */
    private String customsDeclarationNo;
    /**
     * 出口发票号（形式发票号）
     */
    private String proformaInvoiceNo;
    /**
     * 出口日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date exportDate;
    /**
     * 退税状态，枚举:rebate_process_status
     */
    private String status;
}
