package com.trade.service.trade.exportrebate.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.exportrebate.domain.TaxRebatePurchaseDetails;
import com.trade.service.trade.exportrebate.dto.TaxRebatePurchaseAbstractInfo;
import com.trade.service.trade.exportrebate.dto.search.TaxRebatePurchaseAbstractInfoSearchDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 出口退税-进货明细表数据库访问
 *
 * @author hlb
 * @since 2024-10-24 20:48:57
 */
public interface TaxRebatePurchaseDetailsMapper extends BaseMapper<TaxRebatePurchaseDetails> {

    /**
     * 出口退税进货明细摘要信息分页查询
     *
     * @param search
     * @return
     */
    List<TaxRebatePurchaseAbstractInfo> getTaxRebatePurchaseAbstractInfoPagesBySearch(
            TaxRebatePurchaseAbstractInfoSearchDto search);

    /**
     * 根据出口明细ID获取进货明细
     * 
     * @param exportDetailIds
     * @return
     */
    List<TaxRebatePurchaseAbstractInfo> getByExportDetailIds(@Param("exportDetailIds") List<Long> exportDetailIds);
}
