package com.trade.service.trade.exportrebate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.common.core.page.GridPage;
import com.trade.service.trade.exportrebate.domain.TaxRebatePurchaseDetails;
import com.trade.service.trade.exportrebate.dto.TaxRebatePurchaseAbstractInfo;
import com.trade.service.trade.exportrebate.dto.search.TaxRebatePurchaseAbstractInfoSearchDto;

import java.util.List;

/**
 * 出口退税-进货明细表基础服务接口
 *
 * @author hlb
 * @since 2024-10-24 20:48:58
 */
public interface TaxRebatePurchaseDetailsBaseService extends IService<TaxRebatePurchaseDetails> {

    /**
     * 出口退税进货明细摘要信息分页查询（代理模式下）
     * 
     * @param search
     * @return
     */
    GridPage<TaxRebatePurchaseAbstractInfo> getTaxRebatePurchaseAbstractInfoPagesBySearch(
            TaxRebatePurchaseAbstractInfoSearchDto search);

    List<TaxRebatePurchaseDetails> getByCorrelationNos(List<String> correlationNos);

    /**
     * 根据出口明细ID获取进货明细
     * 
     * @param exportDetailIds
     * @return
     */
    List<TaxRebatePurchaseAbstractInfo> getByExportDetailIds(List<Long> exportDetailIds);
}
