package com.trade.service.trade.filingdoc.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * <p>
 * 备案单证写入小图任务
 * </p>
 *
 * @author zhangchenm
 * @since 2024-10-23
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@TableName("filing_doc_write_task")
public class FilingDocWriteTask extends BizBaseEntity<FilingDocWriteTask> {

    private static final long serialVersionUID = 1L;
    /**
     * 企业证件号
     */
    private String certNo;
    /**
     * 业务编号
     */
    private String bizNo;
    /**
     * 阶段
     */
    private Integer part;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 是否为代理
     */
    private Boolean agentInd;
    private String remark;

    public FilingDocWriteTask(String bizNo, String certNo, boolean agentInd, Integer part){
        super();
        this.bizNo = bizNo;
        this.certNo = certNo;
        this.agentInd = agentInd;
        this.part = part;
    }
}
