/**
 * @filename:PurchaseOrderInvoiceCommodity 2024-09-21
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.trade.purchaseorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.math.BigDecimal;

/**
 * @Description:采购订单发票商品信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
// @Accessors(chain = true)
@TableName("purchase_order_invoice_commodity")
public class PurchaseOrderInvoiceCommodity extends BizBaseEntity<PurchaseOrderInvoiceCommodity> {

    private static final long serialVersionUID = 1726909918370L;
    @ApiModelProperty(name = "amount", value = "金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "commodityCode", value = "商品和服务税收分类合并编码")
    private String commodityCode;
    @ApiModelProperty(name = "invoiceId", value = "发票id")
    private Long invoiceId;
    @ApiModelProperty(name = "measurementUnit", value = "计量单位")
    private String measurementUnit;
    @ApiModelProperty(name = "model", value = "规格型号")
    private String model;
    @ApiModelProperty(name = "name", value = "货物或应税劳务名称")
    private String name;
    @ApiModelProperty(name = "number", value = "数量")
    private BigDecimal number;
    @ApiModelProperty(name = "priceUnit", value = "单价")
    private BigDecimal priceUnit;
    @ApiModelProperty(name = "taxAmount", value = "税额")
    private BigDecimal taxAmount;
    @ApiModelProperty(name = "taxRate", value = "税率")
    private BigDecimal taxRate;
    @ApiModelProperty(name = "lineNumber", value = "行号")
    private String lineNumber;
}
