package com.trade.service.trade.purchaseorder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 发票商品信息
 * @Author: wanglang
 * @Date: 2024/9/24
 * @Version: 1.0
 */
@Data
@ApiModel(description = "发票商品信息")
public class InvoiceCommodityDto {

    @ApiModelProperty(name = "measurementUnit", value = "计量单位")
    private String measurementUnit;
    @ApiModelProperty(name = "model", value = "规格型号")
    private String model;
    @ApiModelProperty(name = "name", value = "货物或应税劳务名称")
    private String name;
    @ApiModelProperty(name = "number", value = "数量")
    private BigDecimal number;
    @ApiModelProperty(name = "taxRate", value = "税率")
    private BigDecimal taxRate;
    @ApiModelProperty(name = "amount", value = "金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "taxAmount", value = "税额")
    private BigDecimal taxAmount;
    @ApiModelProperty(name = "totalAmount", value = "总金额(金额 + 税额)")
    private BigDecimal totalAmount;
    @ApiModelProperty(name = "priceUnit", value = "采购单价 (不含税) ")
    private BigDecimal priceUnit;
    @ApiModelProperty(name = "declarationName", value = "报关品名")
    private String declarationName;
}
