package com.trade.service.trade.purchaseorder.dto;

import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description:
 * @Author: wanglang
 * @Version: 1.0
 */
@Data
public class PurchaseOrderLogisticsDocumentSearchDto extends PageDomain {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "purchaseContractNo", value = "采购合同编号")
    private String purchaseContractNo; // 合同编号
    @ApiModelProperty(name = "type", value = "1物流单号2采购订单编号3销售订单编号4运输发票号码")
    private Integer type;
    @ApiModelProperty(name = "companyName", value = "物流公司名称")
    private String companyName;
    @ApiModelProperty(name = "logisticsOrderNumber", value = "物流单号")
    private String logisticsOrderNumber;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "transportInvoiceNumber", value = "运输发票号码")
    private String transportInvoiceNumber;
    @ApiModelProperty(name = "timeStart", value = "发货开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeStart;
    @ApiModelProperty(name = "timeEnd", value = "发货结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;
}
