/**
 * @filename:PurchaseOrderInvoiceCommodityMapper 2024-09-21
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.trade.purchaseorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.purchaseorder.domain.PurchaseOrderInvoiceCommodity;
import com.trade.service.trade.purchaseorder.dto.InvoiceCommodityDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:采购订单发票商品信息数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface PurchaseOrderInvoiceCommodityMapper extends BaseMapper<PurchaseOrderInvoiceCommodity> {

    List<InvoiceCommodityDto> selectByInvoiceId(@Param("invoiceId") Long invoiceId);

    List<PurchaseOrderInvoiceCommodity> selectInfoByInvoiceId(@Param("invoiceId") Long invoiceId);
}
