package com.trade.service.trade.purchaseorder.vo;

import com.trade.service.trade.purchaseorder.dto.InvoiceCommodityDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @description: 采购订单发票详情
 * @Author: wanglang
 * @Date: 2024/9/24
 * @Version: 1.0
 */
@Data
@ApiModel(description = "采购订单发票详情")
public class PurchaseOrderInvoiceDetailsVo extends PurchaseOrderInvoiceVo {

    @ApiModelProperty(name = "orderId", value = "采购订单Id")
    private String orderId;
    @ApiModelProperty(name = "bz", value = "备注")
    private String bz;
    @ApiModelProperty(name = "certificationDate", value = "认证日期")
    private LocalDate certificationDate;
    @ApiModelProperty(name = "certificationState", value = "认证状态")
    private String certificationState;
    @ApiModelProperty(name = "taxNo", value = "纳税人识别号（客户）")
    private String taxNo;
    @ApiModelProperty(name = "invoiceCommodityList", value = "发票商品列表")
    private List<InvoiceCommodityDto> invoiceCommodityList;
}
