package com.trade.service.trade.purchaseorder.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description:
 * @Author: wanglang
 * @Version: 1.0
 */
@Data
public class PurchaseOrderInvoiceDocumentVo {

    @ApiModelProperty(name = "id", value = "发票id")
    private Long id;
    @ApiModelProperty(name = "invoiceNumber", value = "发票号码")
    private String invoiceNumber;
    @ApiModelProperty(name = "invoiceType", value = "发票类型1增值税专用发票2增值税普通发票3增值税电子专用发票4增值税电子普通发票5数电票（增值税专用发票）6（数电票）增值税普通发票")
    private String invoiceType;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "invoicingDate", value = "开票日期")
    private LocalDate invoicingDate;
    @ApiModelProperty(name = "amount", value = "发票金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency;
    @ApiModelProperty(name = "number", value = "商品数量")
    private BigDecimal number;
    @ApiModelProperty(name = "purchaseOrderInvoice", value = "发票文件")
    private FileAbstractDto purchaseOrderInvoice;
}
