package com.trade.service.trade.purchaseorder.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @description:
 * @Author: wanglang
 * @Version: 1.0
 */
@Data
public class PurchaseOrderLogisticsDocumentVo {

    @ApiModelProperty(name = "id", value = "发票id")
    private Long id;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "logisticsOrderNumber", value = "物流单号")
    private String logisticsOrderNumber;
    @ApiModelProperty(name = "transportInvoiceNumber", value = "运输发票号码")
    private String transportInvoiceNumber;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "deliveryTime", value = "发货时间")
    private LocalDateTime deliveryTime;
    @ApiModelProperty(name = "companyName", value = "物流公司名称")
    private String companyName;
    @ApiModelProperty(name = "purchaseOrderTransProve", value = "物流文件-运输发票文件")
    private FileAbstractDto purchaseOrderTransProve;
}
