/**
 * @filename:ContractFileService 2024-09-04
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.trade.salescontract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.trade.salescontract.domain.ContractFile;

import java.util.List;

/**
 * @Description:合同文件信息服务层
 * @version: v1.0.0
 * @author: wanglang
 */
public interface ContractFileService extends IService<ContractFile> {
    /**
     * 根据合同签署流程号查询合同文件信息
     * @param signFlowId
     * @return
     */
    List<ContractFile> selectBySignFlowId(String signFlowId);
}
