/**
 * @filename:ContractTermsExtendServiceImpl 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.trade.salescontract.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.trade.service.trade.salescontract.domain.ContractTermsExtend;
import com.trade.service.trade.salescontract.mapper.ContractTermsExtendMapper;
import com.trade.service.trade.salescontract.service.ContractTermsExtendService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description:合同条款扩展信息服务实现
 * @version: v1.0.0
 * @author: wanglang
 */
@Service
public class ContractTermsExtendServiceImpl extends ServiceImpl<ContractTermsExtendMapper, ContractTermsExtend> implements ContractTermsExtendService {

    @Override
    public void deleteContractByContractTermId(Long contractTermsId, String type) {
        this.remove(Wrappers.<ContractTermsExtend> lambdaQuery()
                .eq(ContractTermsExtend::getContractTermsId, contractTermsId).eq(ContractTermsExtend::getType, type));
    }
}
