package com.trade.service.trade.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.math.BigDecimal;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 报关单商品
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-20
 */
@Getter
@Setter
@TableName("customs_declaration_goods")
public class CustomsDeclarationGoods extends BizBaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 销售订单no,对应小图合同号
     */
    private String saleOrderNo;
    /**
     * 出口商品代码
     */
    private String hgckspDm;
    /**
     * 项号
     */
    private String xh4;
    /**
     * 出口报关单号
     */
    private String ckbgdh;
    /**
     * 报关申报状态代码
     */
    private String bgsbztDm;
    /**
     * 海关商品名称
     */
    private String hgspmc;
    /**
     * 规格型号
     */
    private String ggxh;
    /**
     * 海关计量单位名称
     */
    private String hgjldwmc;
    /**
     * 第一计量单位代码
     */
    private String dyjldwDm;
    /**
     * 出口数量
     */
    private BigDecimal cksl;
    /**
     * 出口报关单号
     */
    private String bgdhgbh;
    /**
     * 海关企业代码
     */
    private String hgqyDm;
    /**
     * 出口日期
     */
    private String ckrq1;
    /**
     * 申报海关关区（口岸）代码
     */
    private String sbhggqkaDm;
    /**
     * 申报海关关区（口岸）简称
     */
    private String sbhggqkajc;
    /**
     * 运费金额
     */
    private BigDecimal yfje;
    /**
     * 运费海关货币字母代码
     */
    private String yfhghbzmDm;
    /**
     * 保费金额
     */
    private BigDecimal bfje;
    /**
     * 保费海关货币字母代码
     */
    private String bfhghbzmDm;
    /**
     * 杂费金额
     */
    private BigDecimal zfje1;
    /**
     * 杂费海关货币字母代码
     */
    private String zfhghbzmDm;
    /**
     * 件数
     */
    private BigDecimal js1;
    /**
     * 毛重（千克）
     */
    private BigDecimal mz2;
    /**
     * 净重（千克）
     */
    private BigDecimal jz;
    /**
     * 海关出口货物报关单申报日期
     */
    private String hgckhwbgdsbrq;
    /**
     * 申报单位名称
     */
    private String sbdwmc;
    /**
     * 集装箱号
     */
    private String jzxh;
    /**
     * 申报计量单位代码
     */
    private String sbjldwDm;
    /**
     * 申报计量单位名称
     */
    private String sbjldwmc;
    /**
     * 申报单价
     */
    private BigDecimal sbdj;
    /**
     * 申报数量
     */
    private BigDecimal sbsl1;
    /**
     * 退税记录是否已同步
     */
    private Boolean tsjltbbs;
}
