package com.trade.service.trade.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BaseEntity;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 销售订单表
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Getter
@Setter
@TableName("sales_order")
public class SalesOrder extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long customerUserId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 进口商id
     */
    private Long importerId;
    /**
     * 销售合同id
     */
    private Long saleContractId;
    /**
     * 订单金额
     */
    private BigDecimal amount;
    /**
     * 状态 0待生效/1待发货/2运输中/3部分收款/4部分回款审核中/5回款审核中/6部分完成/7已收款/8交易完成
     */
    private Integer status;
    /**
     * 报关单拉取状态 0未拉取/1已拉取
     */
    private Integer customsDeclarationStatus;
    /**
     * 待收货款金额
     */
    private BigDecimal pendingReceivedAmount;
}
