package com.trade.service.trade.salesorder.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @description: 收款支付Dto
 * @Author: wanglang
 * @Date: 2024/11/2 14:14
 * @Version: 1.0
 */
@Data
@Validated
public class ReceivePaymentDto extends ReceivePaymentExtendDto {

    @ApiModelProperty(name = "applyAmount", value = "提示收款金额")
    @NotNull(message = "提示收款金额不能为空")
    private BigDecimal modifyAmount;
    @ApiModelProperty(name = "currencyCode", value = "提示收款金额币种")
    @NotEmpty(message = "提示收款金额币种不能为空")
    private String modifyCurrency = "USD";
    @ApiModelProperty(name = "fileIds", value = "附件id集合/对应C端收款凭证")
    private List<Long> fileIds;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    @ApiModelProperty(name = "voucherNo", value = "收款凭证号（C端）")
    private String voucherNo;
    @ApiModelProperty(name = "businessBatchNumber", value = "业务批次编号")
    @NotEmpty(message = "业务批次编号不能为空")
    private String businessBatchNumber;
}
