package com.trade.service.trade.salesorder.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/2 17:21
 * @Version: 1.0
 */
@Data
@Validated
public class ReceivePaymentExtendDto {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "saleContractId", value = "销售合同id")
    @NotNull(message = "销售合同id不能为空")
    private Long saleContractId;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    @NotEmpty(message = "销售合同编号不能为空")
    private String salesContractNo;
    @ApiModelProperty(name = "originalReceivePayment", value = "订单原有收款金额")
    private BigDecimal originalReceivePayment;
    @ApiModelProperty(name = "originalCurrency", value = "订单原有收款金额币种")
    private String originalCurrency = "USD";
    @ApiModelProperty(name = "salesOrderInfo", value = "订单信息")
    @Size(min = 1, message = "订单信息不能为空")
    private List<SalesOrderReceiveExtendDto> salesOrderInfo;
}
