package com.trade.service.trade.salesorder.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/2 14:28
 * @Version: 1.0
 */
@Data
public class SalesGoodsReceivePaymentDto extends SalesOrderReceiveExtendDto {

    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    @NotEmpty(message = "销售合同编号不能为空")
    private String salesContractNo;
    @ApiModelProperty(name = "saleContractId", value = "销售合同ID")
    @NotNull(message = "销售合同ID不能为空")
    private Long saleContractId;
    @NotNull(message = "商品金额不能为空")
    @ApiModelProperty(name = "goodsAmount", value = "商品金额")
    private BigDecimal goodsAmount;
    @ApiModelProperty(name = "currency", value = "币种")
    @NotEmpty(message = "币种不能为空")
    private String currency;
}
