package com.trade.service.trade.salesorder.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/2 15:40
 * @Version: 1.0
 */
@Data
@Validated
public class SalesOrderReceiveExtendDto {

    @ApiModelProperty(name = "selectType", value = "选择类型1订单列表即订单级别的勾选2订单详情即订单商品级别的勾选")
    @NotNull(message = "选择类型不能为空")
    private Integer selectType;
    @ApiModelProperty(name = "salesOrderId", value = "销售订单id")
    @NotNull(message = "销售订单id不能为空")
    private Long salesOrderId;
    @ApiModelProperty(name = "salesOrderGoodsIds", value = "销售商品id集合")
    @Size(min = 1, message = "销售商品id集合不能为空")
    private List<Long> salesOrderGoodsIds;
}
