package com.trade.service.trade.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.salesorder.domain.CustomsDeclarationGoods;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationGoodsBelongsVO;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationGoodsDtlVO;

import java.util.List;

/**
 * <p>
 * 报关单商品 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-20
 */
public interface CustomsDeclarationGoodsMapper extends BaseMapper<CustomsDeclarationGoods> {

    List<CustomsDeclarationGoodsDtlVO> listWithCustomsDeclarationDtlByOrderId(Long orderId);

    /**
     * 获取需要获取进出口退税的商品记录
     * 
     * @return
     */
    List<CustomsDeclarationGoodsBelongsVO> getAllNeedPullTaxRebateRecords();
}
