package com.trade.service.trade.salesorder.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.trade.salesorder.domain.CustomsDeclarationFile;
import com.trade.service.trade.filingdoc.vo.SalesOrder4CustomsFileQueryVO;

/**
 * <p>
 * 报关单相关文件 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-10-26
 */
public interface ICustomsDeclarationFileService extends IService<CustomsDeclarationFile> {

    /**
     * 下载报关单相关文件
     * 
     * @param fileQueryVO 查询条件
     */
    void downloadCustomsDeclarationFile(SalesOrder4CustomsFileQueryVO fileQueryVO);

    /**
     * 根据报关单号查询报关单相关文件
     * 
     * @param customsNo 报关单号
     * @return 报关单相关文件
     */
    CustomsDeclarationFile getByCustomsNo(String customsNo);
}
