package com.trade.service.trade.salesorder.vo;

import java.math.BigDecimal;
import java.util.List;

import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CustomsDeclarationDtlVO {

    @ApiModelProperty(name = "exchangeRate", value = "成交汇率")
    private BigDecimal exchangeRate;
    @ApiModelProperty(name = "orderId", value = "订单主键")
    private Long orderId;
    @ApiModelProperty(name = "sbdwmc", value = "申报单位名称")
    private String sbdwmc;
    @ApiModelProperty(name = "jzxh", value = "集装箱号")
    private String jzxh;
    @ApiModelProperty(name = "mz2", value = "毛重（千克）")
    private BigDecimal mz2;
    @ApiModelProperty(name = "jz", value = "净重（千克）")
    private BigDecimal jz;
    @ApiModelProperty(name = "hgckhwbgdsbrq", value = "海关出口货物报关单申报日期")
    private String hgckhwbgdsbrq;
    @ApiModelProperty(name = "js1", value = "件数")
    private BigDecimal js1;
    @ApiModelProperty(name = "bfje", value = "保费金额")
    private BigDecimal bfje;
    @ApiModelProperty(name = "bfhghbzmDm", value = "保费海关货币字母代码")
    private String bfhghbzmDm;
    @ApiModelProperty(name = "zfje1", value = "杂费金额")
    private BigDecimal zfje1;
    @ApiModelProperty(name = "zfhghbzmDm", value = "杂费海关货币字母代码")
    private String zfhghbzmDm;
    @ApiModelProperty(name = "yfje", value = "运费金额")
    private BigDecimal yfje;
    @ApiModelProperty(name = "yfhghbzmDm", value = "运费海关货币字母代码")
    private String yfhghbzmDm;
    @ApiModelProperty(name = "fromPort", value = "启运港")
    private String fromPort;
    @ApiModelProperty(name = "destPort", value = "目的港")
    private String destPort;
    @ApiModelProperty(name = "sbhggqkaDm", value = "申报海关关区（口岸）代码")
    private String sbhggqkaDm;
    @ApiModelProperty(name = "sbhggqkajc", value = "申报海关关区（口岸）简称")
    private String sbhggqkajc;
    @ApiModelProperty(name = "hggq", value = "海关关区 = 申报海关关区简称(代码)")
    private String hggq;
    @ApiModelProperty(name = "hgqyDm", value = "海关企业代码")
    private String hgqyDm;
    @ApiModelProperty(name = "ckrq1", value = "出口日期")
    private String ckrq1;
    @ApiModelProperty(name = "tradeTerms", value = "贸易术语")
    private String tradeTerms;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "invoiceNo", value = "发票号")
    private String invoiceNo;
    @ApiModelProperty(name = "importerName", value = "进口商名称")
    private String importerName;
    @ApiModelProperty(name = "contractNo", value = "合同号")
    private String contractNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "entrustNo", value = "委托报关协议编号")
    private String entrustNo;
    @ApiModelProperty(name = "entrustFile", value = "委托报关协议文件")
    private FileAbstractDto entrustFile;
    @ApiModelProperty(name = "entrustFileId", value = "委托报关协议文件id")
    private Long entrustFileId;
    @ApiModelProperty(name = "customsNo", value = "报关单号")
    private String customsNo;
    @ApiModelProperty(name = "customsFile", value = "报关单文件")
    private FileAbstractDto customsFile;
    @ApiModelProperty(name = "customsFileId", value = "报关单文件id")
    private Long customsFileId;
    @ApiModelProperty(name = "customsDeclarationGoodsDtlVOList", value = "商品明细")
    List<CustomsDeclarationGoodsDtlVO> customsDeclarationGoodsDtlVOList;
}
