package com.trade.service.trade.salesorder.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.dto.BaseSearch;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class CustomsDeclarationSearch extends BaseSearch {

    @ApiModelProperty(name = "orderNo", value = "订单号/报关单号/提单号/出口发票号码")
    private String orderNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理企业证件号")
    private String agencyCertNo;
    @ApiModelProperty(name = "importerId", value = "进口商id")
    private Long importerId;
    @ApiModelProperty(name = "tradeTerms", value = "贸易术语")
    private String tradeTerms;
    @ApiModelProperty(name = "status", value = "报关结关状态")
    private String status;
    @ApiModelProperty(name = "declareTimeStart", value = "申报时间开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date declareTimeStart;
    @ApiModelProperty(name = "declareTimeEnd", value = "申报时间结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date declareTimeEnd;
    @ApiModelProperty(name = "exportTimeStart", value = "出口时间开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date exportTimeStart;
    @ApiModelProperty(name = "exportTimeEnd", value = "出口时间结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date exportTimeEnd;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
}
