package com.trade.service.trade.salesorder.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class SalesOrderInvoiceVO {

    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "invoiceNo", value = "发票号")
    private String invoiceNo;
    @ApiModelProperty(name = "amount", value = "发票金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "importerName", value = "进口商名称")
    private String importerName;
    @ApiModelProperty(name = "contractNo", value = "合同号")
    private String contractNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "gmtCreate", value = "开票日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate gmtCreate;
    @ApiModelProperty(name = "customerIdentifierNo", value = "用户id标识")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "enterpriseName", value = "企业名称")
    private String enterpriseName;
    @ApiModelProperty(name = "fileId", value = "文件id")
    private Long fileId;
    @ApiModelProperty(name = "file", value = "发票文件")
    private FileAbstractDto file;
    @ApiModelProperty(name = "goodsCount", value = "商品数量")
    private BigDecimal goodsCount;
}
