package com.trade.service.trade.salesorder.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.dto.BaseSearch;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class SalesOrderLogisticsSearch extends BaseSearch {

    @ApiModelProperty(name = "customerUserId", value = "用户id")
    private Long customerUserId;
    @ApiModelProperty(name = "logisticsCompany", value = "物流公司")
    private String logisticsCompany;
    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理企业证件号")
    private String agencyCertNo;
    @ApiModelProperty(name = "destPort", value = "目的港")
    private String destPort;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "deliverTimeStart", value = "发货日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deliverTimeStart;
    @ApiModelProperty(name = "deliverTimeEnd", value = "发货日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deliverTimeEnd;
    @ApiModelProperty(name = "userName", value = "客户企业名称/客户id")
    private String userName;
    @ApiModelProperty(name = "contractNo", value = "销售合同号")
    private String contractNo;
    @ApiModelProperty(name = "ladingBillNoOrSaleOrderNo", value = "提单号/销售订单号")
    private String ladingBillNoOrSaleOrderNo;
    @ApiModelProperty(name = "containerNo", value = "集装箱单号")
    private String containerNo;
    @ApiModelProperty(name = "importerId", value = "进口商id")
    private Long importerId;
}
